Bug 1773348

Summary: 4ti2-x86_64 module file not found
Product: [Fedora] Fedora Reporter: Richard Poole <rp>
Component: 4ti2Assignee: Jerry James <loganjerry>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 31CC: loganjerry, tremble
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: 4ti2-1.6.9-4.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-12-19 01:22:46 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Richard Poole 2019-11-17 19:29:56 UTC
Description of problem:

The 4ti2 package places its module file in /usr/share/Modules/modulefiles instead of /usr/share/modulefiles . The packaging guidelines say it should use %{_modulesdir} but the incorrect path is built up in the specfile from %{_datadir} and "Modules/modulefiles".


Version-Release number of selected component (if applicable):

1.6.9-3.fc31

How reproducible:

always

Steps to Reproduce: 
1.$ module spider 4ti2-x86_64

Actual results:
Lmod has detected the following error:  Unable to find: "4ti2-x86_64".

Expected results:

--------------------------------------------------------------------------------
  4ti2-x86_64: 4ti2-x86_64
--------------------------------------------------------------------------------

    This module can be loaded directly: module load 4ti2-x86_64


Additional info:

This problem manifests after installing the sagemath package, which brings in 4ti2 as a dependency, and causes an error message on starting sage.

There is a straightforward workaround: create a symlink from the correct path.
# ln -s /usr/share/Modules/modulefiles/4ti2-x86_64  /usr/share/modulefiles

Comment 1 Jerry James 2019-12-10 04:18:41 UTC
Thanks for the report, Richard.  I will fix this right away.

Comment 2 Fedora Update System 2019-12-10 05:11:21 UTC
FEDORA-2019-0952de7f04 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0952de7f04

Comment 3 Fedora Update System 2019-12-11 01:41:24 UTC
4ti2-1.6.9-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0952de7f04

Comment 4 Fedora Update System 2019-12-19 01:22:46 UTC
4ti2-1.6.9-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.